Get Packet Capture of an Alert

Prev Next

This URL returns packet capture file data associated with the alert.

Resource URL

GET /domain/<domainId>/threatanalysis/packetlog?alertId=<alertId>&device=<deviceName>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes

Query Parameters:

Field Name Description Data Type Mandatory
alertId Alert id Number Yes
device Name of the device required in case multiple devices are managed by a single Manager. String No

Response Parameters

Returns packet capture file data associated with the alert.

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/threatanalysis/packetlog?alertId=103&device=NS-9200

Payload

NA

Response

<packet capture file data>

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error